StrucAligParameters (BioJava-1.5-beta API)
Keywords: org.biojava.bio.structure.align.StrucAligParameters class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.align
Class StrucAligParameters

    java.lang.Object
      org.biojava.bio.structure.align.StrucAligParameters

    public class StrucAligParameters

extends Object

Constructor Summary
`StrucAligParameters()`

Method Summary
`int` | `getAngleDiff()`
`float` | `getCreate_co()`
`static StrucAligParameters` | `getDBSearchParameters()`
`static StrucAligParameters` | `getDefaultParameters()`
`float` | `getDensityCutoff()`
`int` | `getDiagonalDistance()`
`int` | `getDiagonalDistance2()`
`float` | `getEvalCutoff()`
`float` | `getFragCompat()`
`int` | `getFragmentLength()`
`float` | `getFragmentMiniDistance()`
`float` | `getGapExtension()`
`float` | `getGapOpen()`
`int` | `getInitialK()`
`double` | `getJoinRMSCutoff()`
`int` | `getMaxIter()`
`int` | `getMaxrefine()`
`int` | `getPermutationSize()`
`int` | `getSeedFragmentLength()`
`float` | `getSeedRmsdCutoff()`
`String[]` | `getUsedAtomNames()`
`boolean` | `isDoAngleCheck()`
`boolean` | `isDoDensityCheck()`
`boolean` | `isDoDistanceCheck()`
`boolean` | `isDoRMSCheck()`
`boolean` | `isJoinPlo()`
`boolean` | `reduceInitialFragments()` if this is set to false, the time spent to joint the initial fragments (step 2) is increased.
`void` | `setAngleDiff(int angleDiff)`
`void` | `setCreate_co(float create_co)`
`void` | `setDensityCutoff(float densityCutoff)`
`void` | `setDiagonalDistance(int diagonalDistance)`
`void` | `setDiagonalDistance2(int diagonalDistance2)`
`void` | `setDoAngleCheck(boolean doAngleCheck)`
`void` | `setDoDensityCheck(boolean doDensityCheck)`
`void` | `setDoDistanceCheck(boolean doDistanceCheck)`
`void` | `setDoRMSCheck(boolean doRMSCheck)`
`void` | `setEvalCutoff(float evalCutoff)`
`void` | `setFragCompat(float fragCompat)`
`void` | `setFragmentLength(int fragmentLength)`
`void` | `setFragmentMiniDistance(float fragmentMiniDistance)`
`void` | `setGapExtension(float gapExtension)`
`void` | `setGapOpen(float gapOpen)`
`void` | `setInitialK(int initialK)`
`void` | `setJoinPlo(boolean joinPlo)`
`void` | `setJoinRMSCutoff(double joinRMSCutoff)`
`void` | `setMaxIter(int maxIter)`
`void` | `setMaxrefine(int maxrefine)`
`void` | `setPermutationSize(int permutationSize)`
`void` | `setReduceInitialFragments(boolean reduceInitialFragments)`
`void` | `setSeedFragmentLength(int seedFragmentLength)`
`void` | `setSeedRmsdCutoff(float seedRmsdCutoff)`
`void` | `setUsedAtomNames(String[] usedAtomNames)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrucAligParameters

    public StrucAligParameters()

Method Detail

### getDefaultParameters

    public static StrucAligParameters getDefaultParameters()

### getDBSearchParameters

    public static StrucAligParameters getDBSearchParameters()

### getDensityCutoff

    public float getDensityCutoff()

### setDensityCutoff

    public void setDensityCutoff(float densityCutoff)

### getInitialK

    public int getInitialK()

### setInitialK

    public void setInitialK(int initialK)

### getSeedFragmentLength

    public int getSeedFragmentLength()

### isJoinPlo

    public boolean isJoinPlo()

### setJoinPlo

    public void setJoinPlo(boolean joinPlo)

### setSeedFragmentLength

    public void setSeedFragmentLength(int seedFragmentLength)

### getSeedRmsdCutoff

    public float getSeedRmsdCutoff()

### setSeedRmsdCutoff

    public void setSeedRmsdCutoff(float seedRmsdCutoff)

### isDoAngleCheck

    public boolean isDoAngleCheck()

### setDoAngleCheck

    public void setDoAngleCheck(boolean doAngleCheck)

### isDoDensityCheck

    public boolean isDoDensityCheck()

### setDoDensityCheck

    public void setDoDensityCheck(boolean doDensityCheck)

### isDoDistanceCheck

    public boolean isDoDistanceCheck()

### setDoDistanceCheck

    public void setDoDistanceCheck(boolean doDistanceCheck)

### isDoRMSCheck

    public boolean isDoRMSCheck()

### setDoRMSCheck

    public void setDoRMSCheck(boolean doRMSCheck)

### getJoinRMSCutoff

    public double getJoinRMSCutoff()

### setJoinRMSCutoff

    public void setJoinRMSCutoff(double joinRMSCutoff)

### getEvalCutoff

    public float getEvalCutoff()

### setEvalCutoff

    public void setEvalCutoff(float evalCutoff)

### getPermutationSize

    public int getPermutationSize()

### setPermutationSize

    public void setPermutationSize(int permutationSize)

### getGapExtension

    public float getGapExtension()

### setGapExtension

    public void setGapExtension(float gapExtension)

### getGapOpen

    public float getGapOpen()

### setGapOpen

    public void setGapOpen(float gapOpen)

### getMaxIter

    public int getMaxIter()

### setMaxIter

    public void setMaxIter(int maxIter)

### getCreate_co

    public float getCreate_co()

### setCreate_co

    public void setCreate_co(float create_co)

### reduceInitialFragments

    public boolean reduceInitialFragments()

  if this is set to false, the time spent to joint the initial fragments (step 2) is increased. - particular for large structures this increases calc. time a lot. advantage: more combinations of fragments are used.

  Returns:
    a flag if the inital fragments should be reduced

### setReduceInitialFragments

    public void setReduceInitialFragments(boolean reduceInitialFragments)

### getAngleDiff

    public int getAngleDiff()

### setAngleDiff

    public void setAngleDiff(int angleDiff)

### getFragCompat

    public float getFragCompat()

### setFragCompat

    public void setFragCompat(float fragCompat)

### getMaxrefine

    public int getMaxrefine()

### setMaxrefine

    public void setMaxrefine(int maxrefine)

### getUsedAtomNames

    public String[] getUsedAtomNames()

### setUsedAtomNames

    public void setUsedAtomNames(String[] usedAtomNames)

### getFragmentLength

    public int getFragmentLength()

### setFragmentLength

    public void setFragmentLength(int fragmentLength)

### getDiagonalDistance

    public int getDiagonalDistance()

### setDiagonalDistance

    public void setDiagonalDistance(int diagonalDistance)

### getDiagonalDistance2

    public int getDiagonalDistance2()

### setDiagonalDistance2

    public void setDiagonalDistance2(int diagonalDistance2)

### getFragmentMiniDistance

    public float getFragmentMiniDistance()

### setFragmentMiniDistance

    public void setFragmentMiniDistance(float fragmentMiniDistance)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD